import { Component, OnInit } from '@angular/core';
import { DomSanitizer, SafeResourceUrl } from '@angular/platform-browser';
import { Router } from '@angular/router';
import { CommonModule } from '@angular/common';
    
import { IonContent,IonButton,IonSegment,IonSegmentButton,IonLabel } from "@ionic/angular/standalone";
import { CloudObject, CloudQuery } from 'src/lib/ncloud';

@Component({
  selector: 'app-page-text-embed',
  templateUrl: './page-text-embed.component.html',
  styleUrls: ['./page-text-embed.component.scss'],
  standalone: true,
  imports:[
    CommonModule,
    IonContent,IonButton,
    IonSegment,IonSegmentButton,IonLabel
    
  ]
})
export class PageTextEmbedComponent  implements OnInit {

  tab:string = "models"
  tabChange(ev:any){
    this.tab = ev.detail.value
  }
  constructor(
    private router: Router,
    ) { }

  ngOnInit() {
  }
  
  back(){
    this.router.navigate(["/mirror/login"])
  }


  /**
   * 特征提取：文本特征向量
   */
  textList:Array<any> = [
    {title:"lyf1",content:`content is lyf1`},
    {title:"lyf2",content:`content is lyf2`},
    {title:"ym11",content:`content is ym11`},
    {title:"ym2",content:`content is ym2`},
    {title:"gtl1",content:`content is gtl1`},
    {title:"gtl2",content:`content is gtl2`},
    {title:"gtl3",content:`content is gtl3`},
  ]
  getTextVector(text:any){
    let content = text?.content;
    
  }
}
